# admin_controller.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

class AdminController < ApplicationController
  before_filter :authenticated
  before_filter :can_admin_site

  def can_admin_site
    unless @user && @user.privileges.admin_site
      respond_to do |format|
        flash[:error] = 'You do not have administrative privileges.'
        format.html { redirect_to error_path }
      end
    end
  end
end

