# server_settings_controller.rb
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

# +ServerSettingsController+ allows the admin to modify server settings.
class ServerSettingsController < AdminController
  # GET /admin/server
  def show
    @title = "Server Properties"
  end

  # GET /admin/server/edit
  def edit
    @title = "Edit Server Properties"
    @system_name = ConfigProperty.fetch("system.name")
  end

  # PUT /admin/server
  def update
    @system_name = params[:system_name]
    ConfigProperty.transaction do
      ConfigProperty.store("system.name", @system_name)

      redirect_to admin_server_path
    end
  end
end
