# project_helper.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
# 

module ProjectHelper
  # Returns whether the user can create products for a project.
  #
  def can_create_products(user, project)
    (user != nil) && (user.id == project.owner.id)
  end
  
  def link_to_homepage(project)
    if project.url
      @template.content_tag("a",
        "#{project.url}",
        :href   => project.url,
        :target => '_blank')        
      end
    end
  end
