# task_helper.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
# 

module TaskHelper
  # Returns whether the specified user can create a task against the given
  # backlog item.
  # 
  def self.can_create_task(user, backlog_item)
    if user && 
        (
        (user.id == backlog_item.sprint.product.owner.id) ||
          (backlog_item.owner && (backlog_item.owner.id == user.id))
      )
      return true
    end
    
    return false
  end
  
  # Returns whether the specified user can modify or delete the given task.
  # 
  def self.can_manage_task(user, task)
    if user && 
        (task.primary.id == user.id) ||
        (
        (user.id == task.backlog_item.sprint.product.owner.id) ||
          (task.backlog_item.owner && (task.backlog_item.owner.id == user.id))
      )
      return true
    end
    
    return false
  end
end
