# sprint_member.rb
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

# A +SprintMember+ maps a user's membership to a sprint.
class SprintMember < ActiveRecord::Base
  validates_presence_of :sprint, :message => "A sprint is required."
  validates_presence_of :member_id, :message => "A member is required."

  validates_uniqueness_of :member_id, :scope => [:sprint_id]

  belongs_to :sprint
  belongs_to :member, :class_name => 'User', :foreign_key => 'member_id'
end
