# environment.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Be sure to restart your server when you modify this file

# Uncomment below to force Rails into production mode when you don't control
# web/app server and can't set it the proper way
# ENV['RAILS_ENV'] ||= 'production'

# Specifies gem version of Rails to use when vendor/rails is not present
RAILS_GEM_VERSION = '2.3.2' unless defined? RAILS_GEM_VERSION

# Bootstrap the Rails environment, frameworks, and default configuration
require File.join(File.dirname(__FILE__), 'boot')

Rails::Initializer.run do |config|
  config.action_controller.session = {
    :session_key => '_projxp_session',
    :secret      => 'bb5e22a8065951948272bccbeff6c1e1fa1eff29e85dabcefe7577b68795d9e42cfc9a18426f84aee6722bb4859bf8b144a98fa58891e6c1f215dc3b6f38d2b3'
  }

  config.gem 'state_machine'
  config.gem 'rufus-scheduler'
  config.gem "gruff"
  config.gem "RedCloth"
end

ActiveSupport::CoreExtensions::Time::Conversions::DATE_FORMATS.merge!(:date => '%m/%d/%Y',
                                                                      :date_time12  => "%m/%d/%Y %I:%M%p",
                                                                      :date_time24  => "%m/%d/%Y %H:%M")
