# mailer.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Load the config or error
mailer_file_path = "#{RAILS_ROOT}/config/mailer.yml"
if not File.exist?(mailer_file_path)
    raise "Mailer configuration file not found at #{mailer_file_path}"
end
MAIL_CONFIG = YAML.load(File.open(mailer_file_path))

require 'tlsmail'

Net::SMTP.enable_tls(OpenSSL::SSL::VERIFY_NONE)
ActionMailer::Base.delivery_method = MAIL_CONFIG[:delivery_method]
ActionMailer::Base.perform_deliveries = MAIL_CONFIG[:perform_deliveries]
ActionMailer::Base.default_charset = MAIL_CONFIG[:default_charset]
ActionMailer::Base.raise_delivery_errors = MAIL_CONFIG[:raise_delivery_errors]

ActionMailer::Base.smtp_settings = {
  :address         => MAIL_CONFIG[:server_name],
  :port            => MAIL_CONFIG[:server_port],
  :tls             => MAIL_CONFIG[:require_smtp_tls],
  :authentication  => MAIL_CONFIG[:server_auth_mode],
  :user_name       => MAIL_CONFIG[:server_username],
  :password        => MAIL_CONFIG[:server_password]
}
