# 002_create_users.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class CreateUsers < ActiveRecord::Migration
  def self.up
    create_table :users do |t|
      t.string  :email,           :null => false, :limit => 128
      t.string  :display_name,    :null => false, :limit => 128
      t.string  :hashed_password, :null => false
      t.string  :salt,            :null => false
      t.string  :url_for_avatar,  :null => true,  :limit => 128
      t.boolean :use_gravatar,    :null => false, :default => false
      t.text    :introduction,    :null => false, :default => ""

      t.timestamps
    end

    add_index :users, :email, :unique => true

    user = User.new(:email        => 'admin@projxp.org',
      :display_name => 'Admin', :introduction => 'The site administrator account')
    user.password = 'projxp'
    user.save!
  end

  def self.down
    drop_table :users
  end
end
