# 004_create_user_verifications.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class CreateUserVerifications < ActiveRecord::Migration
  def self.up
    create_table :user_verifications do |t|
      t.integer  :user_id,  :null => false
      t.string   :token,    :null => false, :limit => 16
      t.datetime :sent,     :null => false
      t.integer  :attempts, :null => false, :default => 0

      t.timestamps
    end

    add_index :user_verifications, :user_id, :unique => true

    execute "alter table user_verifications add constraint fk_user_verification_user
             foreign key (user_id) references users(id)"
  end

  def self.down
    drop_table :user_verifications
  end
end
