# 006_create_products.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

class CreateProducts < ActiveRecord::Migration
  def self.up
    create_table :products do |t|
      t.integer :project_id,   :null => false
      t.integer :owner_id,     :null => false
      t.string  :name,         :null => false, :limit => 128
      t.string  :mailing_list, :null => true,  :limit => 255
      t.string  :logo_name,    :null => true,  :limit => 255, :default => nil
      t.text    :description,  :null => false, :default => ""

      t.timestamps
    end

    add_index :products, :name, :unique => true

    execute 'alter table products add constraint fk_products_project
                 foreign key (project_id) references projects(id)'
    execute 'alter table projects add constraint fk_product_owner
                 foreign key (owner_id) references users(id)'
  end

  def self.down
    drop_table :products
  end
end

