# 009_create_roles.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class CreateRoles < ActiveRecord::Migration
  def self.up
    create_table :roles do |t|
      t.string  :name,                     :null => false
      t.boolean :can_manage_backlog_items, :null => false, :default => false
      t.boolean :can_close_user_story,     :null => false, :default => false

      t.timestamps
    end

    add_index :roles, :name, :unique => true

    Role.create(
      :name                     => 'Developer',
      :can_manage_backlog_items => true,
      :can_close_user_story     => false)
    Role.create(
      :name                     => 'Tester',
      :can_manage_backlog_items => false,
      :can_close_user_story     => true)
  end

  def self.down
    drop_table :roles
  end
end
