# 010_create_product_roles.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# alng with this program.  If not, see <http://www.gnu.org/licenses/>.

class CreateProductRoles < ActiveRecord::Migration
  def self.up
    create_table :product_roles do |t|
      t.integer :user_id,     :null => false
      t.integer :product_id,  :null => false
      t.integer :role_id,     :null => false
      t.boolean :pending,     :null => false, :default => true
      t.boolean :is_approved, :null => false, :default => false

      t.timestamps
    end

    add_index :product_roles, [:user_id, :product_id], :unique => true

    execute 'alter table product_roles add constraint fk_user_role_user
                 foreign key (user_id) references users(id)'
    execute 'alter table product_roles add constraint fk_user_role_product
                 foreign key (product_id) references products(id)'
    execute 'alter table product_roles add constraint fk_user_role_role
                 foreign key (role_id) references roles(id)'

  end

  def self.down
    drop_table :product_roles
  end
end
