# 011_create_sprints.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class CreateSprints < ActiveRecord::Migration
  def self.up
    create_table :sprints do |t|
      t.integer :product_id,   :null => false
      t.integer :team_lead_id, :null => false
      t.string  :title,        :null => false, :limit => 100
      t.date    :starts,       :null => false
      t.integer :duration,     :null => false, :precision => 2, :scale => 0
      t.string  :state,        :null => false, :limit => 16
      t.string  :goals,        :null => false, :limit => 1000

      t.timestamps
    end

    execute 'alter table sprints add constraint fk_sprint_product
             foreign key(product_id) references products(id)'
    execute 'alter table sprints add constraint fk_sprint_team_lead
             foreign key(team_lead_id) references users(id)'
  end

  def self.down
    drop_table :sprints
  end
end
