# 012_create_sprint_members.rb
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

class CreateSprintMembers < ActiveRecord::Migration
  def self.up
    create_table :sprint_members do |t|
      t.integer :sprint_id, :null => false
      t.integer :member_id, :null => false

      t.timestamps
    end

    add_index :sprint_members, [:sprint_id, :member_id], :unique => true, :name => :single_membership
  end

  def self.down
    drop_table :sprint_members
  end
end
