
# 013_create_backlog_items.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class CreateBacklogItems < ActiveRecord::Migration
  def self.up
    create_table :backlog_items do |t|
      t.integer :sprint_id,       :null => false
      t.integer :user_story_id,   :null => false
      t.integer :owner_id,        :null => true
      t.integer :state,           :null => false, :default => BacklogItem::STATE_PENDING
      t.boolean :completed,       :null => false, :default => false
      t.boolean :completed,       :null => false, :default => false
      t.boolean :discovered,      :null => false, :default => false
      t.boolean :blocked,         :null => false, :default => false

      t.timestamps
    end

    add_index :backlog_items, [:sprint_id, :user_story_id], :unique => true

    execute 'alter table backlog_items add constraint fk_backlog_items_sprint
             foreign key (sprint_id) references sprints(id)'
    execute 'alter table backlog_items add constraint fk_backlog_items_user_story
             foreign key (user_story_id) references user_stories(id)'
  end

  def self.down
    drop_table :backlog_items
  end
end
