# 014_create_tasks.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class CreateTasks < ActiveRecord::Migration
  def self.up
    create_table :tasks do |t|
      t.integer :backlog_item_id, :null => false
      t.integer :primary_id,      :null => false
      t.integer :backup_id,       :null => true
      t.text    :description,     :null => false
      t.decimal :hours,           :null => false, :default => 0.0, :precision => 4, :scale => 2
      t.date    :when_entered,    :null => false

      t.timestamps
    end

    execute 'alter table tasks add constraint fk_task_backlog_item
             foreign key (backlog_item_id) references backlog_items(id)'
    execute 'alter table tasks add constraint fk_task_primary
             foreign key (primary_id) references users(id)'
    execute 'alter table tasks add constraint fk_task_backup
             foreign key (backup_id) references users(id)'

  end

  def self.down
    drop_table :tasks
  end
end
