# 015_create_remaining_hours_estimates.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class CreateRemainingHoursEstimates < ActiveRecord::Migration
  def self.up
    create_table :remaining_hours_estimates do |t|
      t.integer  :backlog_item_id, :null => false
      t.integer  :user_id,         :null => false
      t.decimal  :hours,           :null => false, :precision => 5, :scale => 2
      t.datetime :estimated_on,    :null => false

      t.timestamps
    end

    execute 'alter table remaining_hours_estimates add constraint fk_remaining_hours_item
             foreign key (backlog_item_id) references backlog_items(id)'
    execute 'alter table remaining_hours_estimates add constraint fk_remaining_hours_user
             foreign key (user_id) references users(id)'
  end

  def self.down
    drop_table :remaining_hours_estimates
  end
end
