# 017_create_notifications.rb
# Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

class CreateNotifications < ActiveRecord::Migration
  def self.up
    create_table :notifications do |t|
      t.integer :user_id,                 :null => false
      t.boolean :task_reminders,          :null => false, :default => true
      t.boolean :daily_updates,           :null => false, :default => true
      t.boolean :updates_to_product_list, :null => false, :default => false
      t.boolean :email_on_replies,        :null => false, :default => true

      t.timestamps
    end

    execute "alter table notifications add constraint fk_notification_user
             foreign key(user_id) references users(id)"

    User.find(:all).each do |user|
      Notifications.create(:user_id => user.id)
    end
  end

  def self.down
    drop_table :notifications
  end
end
