# 018_create_messages.rb
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

class CreateMessages < ActiveRecord::Migration
  def self.up
    create_table :messages do |t|
      t.integer  :author_id,    :null => false
      t.datetime :posted,       :null => false
      t.integer  :reference_id, :null => true
      t.text     :body,         :null => false

      t.timestamps
    end

    execute 'alter table messages add constraint fk_message_author
             foreign key(author_id) references users(id)'
    execute 'alter table messages add constraint fk_message_references
             foreign key(reference_id) references messages(id)'
  end

  def self.down
    drop_table :messages
  end
end
