# 019_create_item_block_messages.rb
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#
class CreateBacklogItemsMessages < ActiveRecord::Migration
  def self.up
    create_table :backlog_items_messages do |t|
      t.integer  :backlog_item_id, :null => false
      t.integer  :message_id,      :null => false

      t.timestamps
    end

    execute 'alter table backlog_items_messages add constraint fk_backlog_item_message_item
             foreign key (backlog_item_id) references backlog_items(id)'
    execute 'alter table backlog_items_messages add constraint fk_backlog_item_message_message
             foreign key (message_id) references messages(id)'
  end

  def self.down
    drop_table :backlog_items_messages
  end
end
