# 020_create_item_block_messages.rb
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#
class CreateFeeds < ActiveRecord::Migration
  def self.up
    create_table :feeds do |t|
      t.string  :title,     :null => false, :limit => 128
      t.string  :link,      :null => false, :limit => 255
      t.integer :author_id, :null => false
      t.text    :content,   :null => false

      t.timestamps
    end

    execute 'alter table feeds add constraint fk_feeds_author
             foreign key (author_id) references users(id)'
  end

  def self.down
    drop_table :feeds
  end
end
