# 021_create_feeds_products.rb
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#
class CreateFeedsProducts < ActiveRecord::Migration
  def self.up
    create_table :product_feeds do |t|
      t.integer :product_id, :null => false
      t.integer :feed_id,    :null => false, :unique => true
    end

    execute 'alter table product_feeds add constraint fk_product_feeds_product_id
             foreign key (product_id) references products(id)'
    execute 'alter table product_feeds add constraint fk_product_feeds_feed_id
             foreign key (feed_id) references feeds(id)'
  end

  def self.down
    drop_table :product_feeds
  end
end
