# 022_create_user_stories_messages.rb
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

class CreateUserStoriesMessages < ActiveRecord::Migration
  def self.up
    create_table :user_stories_messages do |t|
      t.integer :user_story_id, :null => false
      t.integer :message_id,    :null => false
    end

    add_index :user_stories_messages, :message_id, :unique => true

    execute 'alter table user_stories_messages add constraint fk_user_stories_messages_user_story
             foreign key (user_story_id) references user_stories(id)'
    execute 'alter table user_stories_messages add constraint fk_user_stories_messages_message
             foreign key (message_id) references messages(id)'
  end

  def self.down
    drop_table :user_stories_messages
  end
end
