# 023_create_epics_messages.rb
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

class CreateEpicsMessages < ActiveRecord::Migration
  def self.up
    create_table :epics_messages do |t|
      t.integer :epic_id,    :null => false
      t.integer :message_id, :null => false
    end

    add_index :epics_messages, :message_id, :unique => true

    execute 'alter table epics_messages add constraint fk_epics_messages_epic
             foreign key (epic_id) references epics(id)'
    execute 'alter table epics_messages add constraint fk_epics_messages_message
             foreign key (message_id) references messages(id)'
  end

  def self.down
    remove_table :epics_messages
  end
end
