# 024_create_backlog_item_votes
# Copyright (C) 2009, Darryl L. Pierce <mcpierce@gmail.com>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

class CreateBacklogItemVotes < ActiveRecord::Migration
  def self.up
    create_table :backlog_item_votes do |t|
      t.integer :user_id,         :null => false
      t.integer :backlog_item_id, :null => false
      t.integer :vote,            :null => false, :default => 0
      t.float   :estimated_hours, :num  => false, :default => 0.0

      t.timestamps
    end

    add_index :backlog_item_votes, [:user_id, :backlog_item_id], :unique => true

    execute 'alter table backlog_item_votes add constraint fk_backlog_items_votes_user
             foreign key (user_id) references users(id)'
    execute 'alter table backlog_item_votes add constraint fk_backlog_items_votes_item
             foreign key (backlog_item_id) references backlog_items(id)'
  end

  def self.down
    drop_table :backlog_item_votes
  end
end
